=begin
Copyright 2013, Chris Fullmer
All Rights Reserved

Disclaimer
THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

License
This software is distributed under the Smustard End User License Agreement
http://www.smustard.com/eula

Information
Author - Chris Fullmer
Organization - www.ChrisFullmer.com and distributed on the SketchUp Warehouse
Name - Select Same Length Lines
SU Version - 2013, 8, 7

Description
This script selects all edges (lines) of a desired length.

Usage
If you have a line selected when you run this script, it will select all lines of that same length.  If no line is selected, it will prompt you for a line length.

History
1.0 - 2009-02-22
  * First release
1.1 - 2009-03-09
  * Menu Update
1.2.0 - 2009-04-29
  * Updated for EW compatibility
  * Wrapped up in single author namespace
1.2.1 2013-05-06
  * Fixed menu compatibility with older clf scripts  
=end


module CLF_Extensions_NS

  module CLF_Select_Same_Length_Edges

    require 'sketchup.rb'
    require 'extensions.rb'
    
    NAME = "clf_select_same_length_edges"
    UNAME = "CLF Select Same Length Edges"
    MENU_NAME = "Select Same Length Edges"
    version = "1.2.1"           #EDIT
    desc = "This plugin will select all edges that are the same length as the edge that is selected when the plugin is run."
    copy_year = "2013"
    author = "Chris Fullmer"
    
#------edit above--------------------------------------------------------------- 

    
    extension = SketchupExtension.new UNAME, NAME+"/"+NAME+"_menus.rb"

    #The name= method sets the name which appears for an extension inside the Extensions Manager dialog.
    extension.name = UNAME

    # The description= method sets the long description which appears beneath an extension inside the Extensions Manager dialog.
    extension.description = desc + "  Access it via Plugins > Chris Fullmer Tools > "+MENU_NAME

    # The version method sets the version which appears beneath an extension inside the Extensions Manager dialog.
    extension.version = version

    # Create an entry in the Extension list that loads a script called
    # stairTools.rb.
    extension.copyright = copy_year
     
    # The creator= method sets the creator string which appears beneath an extension inside the Extensions Manager dialog.
    extension.creator = author

    # The register_extension method is used to register an extension with SketchUp's extension manager (in SketchUp preferences).
    Sketchup.register_extension( extension, true )
    
  end
end  