# See the loader file for license and author info

require 'sketchup.rb'
module CLF_Extensions_NS
	module CLF_Select_Same_Length_Edges

    def self.line_length( line )
      distance = ""
      a = line.start.position
      b = line.end.position
      dx = a.x-b.x 
      dy = a.y-b.y 
      dz = a.z-b.z 
      distance = (dx*dx + dy*dy + dz*dz) ** 0.5
      distance.to_l
    end # line_length

    def self.main
      model = Sketchup.active_model
      selection = model.selection
      prompts = []
      values = []
      count = 0
      edges_array = []

      if selection.length == 1
        if selection[0].typename != "Edge"
          selection.clear
        else
          sel_len = line_length selection[0]
        end
      else
        selection.clear
      end

      if selection.length < 1
        prompts = ["Line length to select:   "]
        values = []
        results = UI.inputbox prompts, values
        sel_len = results[0].to_l
      end

      selection = model.active_entities

      selection.to_a.each do |e|
        if e.typename == "Edge"
          e_len = line_length e
          if e_len == sel_len
            edges_array.push e
          end
        end
        count = count + 1
      end

      selection = model.selection
      selection.clear
      selection.add edges_array
    end
  end
end





